org.apache.lucene.queryparser.flexible.core.nodes

## Class AndQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode
    - - org.apache.lucene.queryparser.flexible.core.nodes.AndQueryNode

All Implemented Interfaces:
  Cloneable, QueryNode

Direct Known Subclasses:
  AnyQueryNode

    public class AndQueryNode
    extends BooleanQueryNode

A `AndQueryNode` represents an AND boolean operation performed on a list of nodes.

### Field Summary

### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

### Constructor Summary

Constructors
Constructor and Description
`AndQueryNode(List<QueryNode> clauses)`

### Method Summary

Methods
`CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode

`cloneTree`

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AndQueryNode

    public AndQueryNode(List<QueryNode> clauses)

Parameters:
  `clauses` - - the query nodes to be and'ed

### Method Detail

#### toString

    public String toString()

Description copied from class: `QueryNodeImpl`
Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

Specified by:
  `toString` in interface `QueryNode`
Overrides:
  `toString` in class `BooleanQueryNode`
See Also:
  `QueryNode.toString()`

#### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

Description copied from interface: `QueryNode`
convert to a query string understood by the query parser

Specified by:
  `toQueryString` in interface `QueryNode`
Overrides:
  `toQueryString` in class `BooleanQueryNode`